package com.nova.flutter_ads;

import android.app.Activity;
import android.content.Context;
import android.graphics.Color;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.widget.FrameLayout;
import android.widget.LinearLayout;

import com.ark.adkit.polymers.polymer.ADTool;

import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.platform.PlatformView;

public class FlutterAdsNativeView implements PlatformView {


    private final FrameLayout rootView;

    public FlutterAdsNativeView(final Activity activity, BinaryMessenger messenger, int i) {
        rootView = new FrameLayout(activity);
        FrameLayout.LayoutParams layoutParams =
                new FrameLayout.LayoutParams(ViewGroup.LayoutParams.MATCH_PARENT, ViewGroup.LayoutParams.WRAP_CONTENT);
        rootView.setLayoutParams(layoutParams);
        LinearLayout flAd = new LinearLayout(activity);
        flAd.setBackgroundColor(Color.WHITE);
        rootView.addView(flAd);
        ADTool.getADTool().getManager().getNativeWrapper().loadNativeView(activity, rootView);
        final MethodChannel methodChannel = new MethodChannel(messenger, "plugins.nova.ads/nativeview_"+i);
        rootView.getViewTreeObserver().addOnGlobalLayoutListener(new ViewTreeObserver.OnGlobalLayoutListener() {
            @Override
            public void onGlobalLayout() {
                int height = rootView.getHeight();
                final int tempHeigh = height;
                activity.runOnUiThread(new Runnable() {
                    @Override
                    public void run() {
                        final int heightDp = DisplayUtils.px2dip(activity, tempHeigh);
                        methodChannel.invokeMethod("height", heightDp);
                    }
                });

            }
        });
    }

    @Override
    public View getView() {
        return rootView;
    }

    @Override
    public void dispose() {

    }
}
