import 'dart:convert';

import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

typedef AdsIsFinish = void Function();

typedef AdsTick = void Function(num);

class AdsSplashView extends StatefulWidget {
  final AdsIsFinish asdIsFinish;
  final AdsTick adsTick;

  const AdsSplashView({Key key, this.asdIsFinish, this.adsTick})
      : super(key: key);

  @override
  _AdsSplashViewState createState() => _AdsSplashViewState();
}

class _AdsSplashViewState extends State<AdsSplashView> {
  static const BasicMessageChannel<dynamic> messageChannel =
      const BasicMessageChannel(
          'plugins.nova.ads.event/splashview', StringCodec());

  @override
  void initState() {
    super.initState();
    messageChannel.setMessageHandler((value) {
      if (mounted) {
        if (value == "finish") {
          this.widget.asdIsFinish();
        }
      }
    });
  }

  @override
  void dispose() {
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    if (defaultTargetPlatform == TargetPlatform.android) {
      return AndroidView(viewType: 'plugins.nova.ads/splashview');
    } else {
      return UiKitView(viewType: 'plugins.nova.ads/splashview');
    }
  }
}
